swagger-petstore-0.1.0.0: Auto-generated swagger-petstore API Client

Safe Haskell | None
Language | Haskell2010

SwaggerPetstore.API

Contents

- Operations
  - AnotherFake
    - testSpecialTags
  - Fake
    - fakeOuterBooleanSerialize
    - fakeOuterCompositeSerialize
    - fakeOuterNumberSerialize
    - fakeOuterStringSerialize
    - testClientModel
    - testEndpointParameters
    - testEnumParameters
    - testInlineAdditionalProperties
    - testJsonFormData
  - FakeClassnameTags123
    - testClassname
  - Pet
    - addPet
    - deletePet
    - findPetsByStatus
    - findPetsByTags
    - getPetById
    - updatePet
    - updatePetWithForm
    - uploadFile
  - Store
    - deleteOrder
    - getInventory
    - getOrderById
    - placeOrder
  - User
    - createUser
    - createUsersWithArrayInput
    - createUsersWithListInput
    - deleteUser
    - getUserByName
    - loginUser
    - logoutUser
    - updateUser
- Parameter newtypes
- Auth Methods
  - AuthApiKeyApiKey
  - AuthApiKeyApiKeyQuery
  - AuthBasicHttpBasicTest
  - AuthOAuthPetstoreAuth
- Custom Mime Types
  - MimeJsonCharsetutf8
  - MimeXmlCharsetutf8

Description

Synopsis

- testSpecialTags :: (Consumes TestSpecialTags contentType, MimeRender contentType Client) => ContentType contentType -> Accept accept -> Client -> SwaggerPetstoreRequest TestSpecialTags contentType Client accept
- data TestSpecialTags
- fakeOuterBooleanSerialize :: Consumes FakeOuterBooleanSerialize contentType => ContentType contentType -> Accept accept -> SwaggerPetstoreRequest FakeOuterBooleanSerialize contentType OuterBoolean accept
- data FakeOuterBooleanSerialize
- fakeOuterCompositeSerialize :: Consumes FakeOuterCompositeSerialize contentType => ContentType contentType -> Accept accept -> SwaggerPetstoreRequest FakeOuterCompositeSerialize contentType OuterComposite accept
- data FakeOuterCompositeSerialize
- fakeOuterNumberSerialize :: Consumes FakeOuterNumberSerialize contentType => ContentType contentType -> Accept accept -> SwaggerPetstoreRequest FakeOuterNumberSerialize contentType OuterNumber accept
- data FakeOuterNumberSerialize
- fakeOuterStringSerialize :: Consumes FakeOuterStringSerialize contentType => ContentType contentType -> Accept accept -> SwaggerPetstoreRequest FakeOuterStringSerialize contentType OuterString accept
- data FakeOuterStringSerialize
- testClientModel :: (Consumes TestClientModel contentType, MimeRender contentType Client) => ContentType contentType -> Accept accept -> Client -> SwaggerPetstoreRequest TestClientModel contentType Client accept
- data TestClientModel
- testEndpointParameters :: Consumes TestEndpointParameters contentType => ContentType contentType -> Accept accept -> Number -> ParamDouble -> PatternWithoutDelimiter -> Byte -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept
- data TestEndpointParameters
- testEnumParameters :: Consumes TestEnumParameters contentType => ContentType contentType -> Accept accept -> SwaggerPetstoreRequest TestEnumParameters contentType res accept
- data TestEnumParameters
- testInlineAdditionalProperties :: (Consumes TestInlineAdditionalProperties contentType, MimeRender contentType Value) => ContentType contentType -> Value -> SwaggerPetstoreRequest TestInlineAdditionalProperties contentType NoContent MimeNoContent
- data TestInlineAdditionalProperties
- testJsonFormData :: Consumes TestJsonFormData contentType => ContentType contentType -> Param -> Param2 -> SwaggerPetstoreRequest TestJsonFormData contentType NoContent MimeNoContent
- data TestJsonFormData
- testClassname :: (Consumes TestClassname contentType, MimeRender contentType Client) => ContentType contentType -> Accept accept -> Client -> SwaggerPetstoreRequest TestClassname contentType Client accept
- data TestClassname
- addPet :: (Consumes AddPet contentType, MimeRender contentType Pet) => ContentType contentType -> Accept accept -> Pet -> SwaggerPetstoreRequest AddPet contentType res accept
- data AddPet
- deletePet :: Accept accept -> PetId -> SwaggerPetstoreRequest DeletePet MimeNoContent res accept
- data DeletePet
- findPetsByStatus :: Accept accept -> Status -> SwaggerPetstoreRequest FindPetsByStatus MimeNoContent [Pet] accept
- data FindPetsByStatus
- findPetsByTags :: Accept accept -> Tags -> SwaggerPetstoreRequest FindPetsByTags MimeNoContent [Pet] accept
- data FindPetsByTags
- getPetById :: Accept accept -> PetId -> SwaggerPetstoreRequest GetPetById MimeNoContent Pet accept
- data GetPetById
- updatePet :: (Consumes UpdatePet contentType, MimeRender contentType Pet) => ContentType contentType -> Accept accept -> Pet -> SwaggerPetstoreRequest UpdatePet contentType res accept
- data UpdatePet
- updatePetWithForm :: Consumes UpdatePetWithForm contentType => ContentType contentType -> Accept accept -> PetId -> SwaggerPetstoreRequest UpdatePetWithForm contentType res accept
- data UpdatePetWithForm
- uploadFile :: Consumes UploadFile contentType => ContentType contentType -> Accept accept -> PetId -> SwaggerPetstoreRequest UploadFile contentType ApiResponse accept
- data UploadFile
- deleteOrder :: Accept accept -> OrderIdText -> SwaggerPetstoreRequest DeleteOrder MimeNoContent res accept
- data DeleteOrder
- getInventory :: Accept accept -> SwaggerPetstoreRequest GetInventory MimeNoContent (Map String Int) accept
- data GetInventory
- getOrderById :: Accept accept -> OrderId -> SwaggerPetstoreRequest GetOrderById MimeNoContent Order accept
- data GetOrderById
- placeOrder :: (Consumes PlaceOrder contentType, MimeRender contentType Order) => ContentType contentType -> Accept accept -> Order -> SwaggerPetstoreRequest PlaceOrder contentType Order accept
- data PlaceOrder
- createUser :: (Consumes CreateUser contentType, MimeRender contentType User) => ContentType contentType -> Accept accept -> User -> SwaggerPetstoreRequest CreateUser contentType res accept
- data CreateUser
- createUsersWithArrayInput :: (Consumes CreateUsersWithArrayInput contentType, MimeRender contentType Body) => ContentType contentType -> Accept accept -> Body -> SwaggerPetstoreRequest CreateUsersWithArrayInput contentType res accept
- data CreateUsersWithArrayInput
- createUsersWithListInput :: (Consumes CreateUsersWithListInput contentType, MimeRender contentType Body) => ContentType contentType -> Accept accept -> Body -> SwaggerPetstoreRequest CreateUsersWithListInput contentType res accept
- data CreateUsersWithListInput
- deleteUser :: Accept accept -> Username -> SwaggerPetstoreRequest DeleteUser MimeNoContent res accept
- data DeleteUser
- getUserByName :: Accept accept -> Username -> SwaggerPetstoreRequest GetUserByName MimeNoContent User accept
- data GetUserByName
- loginUser :: Accept accept -> Username -> Password -> SwaggerPetstoreRequest LoginUser MimeNoContent Text accept
- data LoginUser
- logoutUser :: Accept accept -> SwaggerPetstoreRequest LogoutUser MimeNoContent res accept
- data LogoutUser
- updateUser :: (Consumes UpdateUser contentType, MimeRender contentType User) => ContentType contentType -> Accept accept -> Username -> User -> SwaggerPetstoreRequest UpdateUser contentType res accept
- data UpdateUser
- newtype AdditionalMetadata = AdditionalMetadata {
  - unAdditionalMetadata :: Text
  }
- newtype ApiKey = ApiKey {
  - unApiKey :: Text
  }
- newtype Body = Body {
  - unBody :: [User]
  }
- newtype Byte = Byte {
  - unByte :: ByteArray
  }
- newtype Callback = Callback {
  - unCallback :: Text
  }
- newtype EnumFormString = EnumFormString {
  - unEnumFormString :: E'EnumFormString
  }
- newtype EnumFormStringArray = EnumFormStringArray {
  - unEnumFormStringArray :: [E'Inner2]
  }
- newtype EnumHeaderString = EnumHeaderString {
  - unEnumHeaderString :: E'EnumFormString
  }
- newtype EnumHeaderStringArray = EnumHeaderStringArray {
  - unEnumHeaderStringArray :: [E'Inner2]
  }
- newtype EnumQueryDouble = EnumQueryDouble {
  - unEnumQueryDouble :: E'EnumNumber
  }
- newtype EnumQueryInteger = EnumQueryInteger {
  - unEnumQueryInteger :: E'EnumQueryInteger
  }
- newtype EnumQueryString = EnumQueryString {
  - unEnumQueryString :: E'EnumFormString
  }
- newtype EnumQueryStringArray = EnumQueryStringArray {
  - unEnumQueryStringArray :: [E'Inner2]
  }
- newtype File = File {
  - unFile :: FilePath
  }
- newtype Int32 = Int32 {
  - unInt32 :: Int
  }
- newtype Int64 = Int64 {
  - unInt64 :: Integer
  }
- newtype Name2 = Name2 {
  - unName2 :: Text
  }
- newtype Number = Number {
  - unNumber :: Double
  }
- newtype OrderId = OrderId {
  - unOrderId :: Integer
  }
- newtype OrderIdText = OrderIdText {
  - unOrderIdText :: Text
  }
- newtype Param = Param {
  - unParam :: Text
  }
- newtype Param2 = Param2 {
  - unParam2 :: Text
  }
- newtype ParamBinary = ParamBinary {
  - unParamBinary :: Binary
  }
- newtype ParamDate = ParamDate {
  - unParamDate :: Date
  }
- newtype ParamDateTime = ParamDateTime {
  - unParamDateTime :: DateTime
  }
- newtype ParamDouble = ParamDouble {
  - unParamDouble :: Double
  }
- newtype ParamFloat = ParamFloat {
  - unParamFloat :: Float
  }
- newtype ParamInteger = ParamInteger {
  - unParamInteger :: Int
  }
- newtype ParamString = ParamString {
  - unParamString :: Text
  }
- newtype Password = Password {
  - unPassword :: Text
  }
- newtype PatternWithoutDelimiter = PatternWithoutDelimiter {
  - unPatternWithoutDelimiter :: Text
  }
- newtype PetId = PetId {
  - unPetId :: Integer
  }
- newtype Status = Status {
  - unStatus :: [E'Status2]
  }
- newtype StatusText = StatusText {
  - unStatusText :: Text
  }
- newtype Tags = Tags {
  - unTags :: [Text]
  }
- newtype Username = Username {
  - unUsername :: Text
  }
- data AuthApiKeyApiKey = AuthApiKeyApiKey Text
- data AuthApiKeyApiKeyQuery = AuthApiKeyApiKeyQuery Text
- data AuthBasicHttpBasicTest = AuthBasicHttpBasicTest ByteString ByteString
- data AuthOAuthPetstoreAuth = AuthOAuthPetstoreAuth Text
- data MimeJsonCharsetutf8 = MimeJsonCharsetutf8
- data MimeXmlCharsetutf8 = MimeXmlCharsetutf8

# Operations

## AnotherFake

### testSpecialTags

testSpecialTags Source #

Arguments

:: (Consumes TestSpecialTags contentType, MimeRender contentType Client) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Client | "body" - client model
-> SwaggerPetstoreRequest TestSpecialTags contentType Client accept |

    PATCH /another-fake/dummy

To test special tags

To test special tags

data TestSpecialTags Source #

Instances

Produces TestSpecialTags MimeJSON Source # |
    application/json
Consumes TestSpecialTags MimeJSON Source # |
    application/json
HasBodyParam TestSpecialTags Client Source # | Body Param "body" - client model
Methods setBodyParam :: (Consumes TestSpecialTags contentType, MimeRender contentType Client) => SwaggerPetstoreRequest TestSpecialTags contentType res accept -> Client -> SwaggerPetstoreRequest TestSpecialTags contentType res accept Source #

## Fake

### fakeOuterBooleanSerialize

fakeOuterBooleanSerialize Source #

Arguments

:: Consumes FakeOuterBooleanSerialize contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> SwaggerPetstoreRequest FakeOuterBooleanSerialize contentType OuterBoolean accept |

    POST /fake/outer/boolean

Test serialization of outer boolean types

data FakeOuterBooleanSerialize Source #

Instances

HasBodyParam FakeOuterBooleanSerialize OuterBoolean Source # | Body Param "body" - Input boolean as post body
Methods setBodyParam :: (Consumes FakeOuterBooleanSerialize contentType, MimeRender contentType OuterBoolean) => SwaggerPetstoreRequest FakeOuterBooleanSerialize contentType res accept -> OuterBoolean -> SwaggerPetstoreRequest FakeOuterBooleanSerialize contentType res accept Source #

### fakeOuterCompositeSerialize

fakeOuterCompositeSerialize Source #

Arguments

:: Consumes FakeOuterCompositeSerialize contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> SwaggerPetstoreRequest FakeOuterCompositeSerialize contentType OuterComposite accept |

    POST /fake/outer/composite

Test serialization of object with outer number type

data FakeOuterCompositeSerialize Source #

Instances

HasBodyParam FakeOuterCompositeSerialize OuterComposite Source # | Body Param "body" - Input composite as post body
Methods setBodyParam :: (Consumes FakeOuterCompositeSerialize contentType, MimeRender contentType OuterComposite) => SwaggerPetstoreRequest FakeOuterCompositeSerialize contentType res accept -> OuterComposite -> SwaggerPetstoreRequest FakeOuterCompositeSerialize contentType res accept Source #

### fakeOuterNumberSerialize

fakeOuterNumberSerialize Source #

Arguments

:: Consumes FakeOuterNumberSerialize contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> SwaggerPetstoreRequest FakeOuterNumberSerialize contentType OuterNumber accept |

    POST /fake/outer/number

Test serialization of outer number types

data FakeOuterNumberSerialize Source #

Instances

HasBodyParam FakeOuterNumberSerialize OuterNumber Source # | Body Param "body" - Input number as post body
Methods setBodyParam :: (Consumes FakeOuterNumberSerialize contentType, MimeRender contentType OuterNumber) => SwaggerPetstoreRequest FakeOuterNumberSerialize contentType res accept -> OuterNumber -> SwaggerPetstoreRequest FakeOuterNumberSerialize contentType res accept Source #

### fakeOuterStringSerialize

fakeOuterStringSerialize Source #

Arguments

:: Consumes FakeOuterStringSerialize contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> SwaggerPetstoreRequest FakeOuterStringSerialize contentType OuterString accept |

    POST /fake/outer/string

Test serialization of outer string types

data FakeOuterStringSerialize Source #

Instances

HasBodyParam FakeOuterStringSerialize OuterString Source # | Body Param "body" - Input string as post body
Methods setBodyParam :: (Consumes FakeOuterStringSerialize contentType, MimeRender contentType OuterString) => SwaggerPetstoreRequest FakeOuterStringSerialize contentType res accept -> OuterString -> SwaggerPetstoreRequest FakeOuterStringSerialize contentType res accept Source #

### testClientModel

testClientModel Source #

Arguments

:: (Consumes TestClientModel contentType, MimeRender contentType Client) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Client | "body" - client model
-> SwaggerPetstoreRequest TestClientModel contentType Client accept |

    PATCH /fake

To test "client" model

To test "client" model

data TestClientModel Source #

Instances

Produces TestClientModel MimeJSON Source # |
    application/json
Consumes TestClientModel MimeJSON Source # |
    application/json
HasBodyParam TestClientModel Client Source # | Body Param "body" - client model
Methods setBodyParam :: (Consumes TestClientModel contentType, MimeRender contentType Client) => SwaggerPetstoreRequest TestClientModel contentType res accept -> Client -> SwaggerPetstoreRequest TestClientModel contentType res accept Source #

### testEndpointParameters

testEndpointParameters Source #

Arguments

:: Consumes TestEndpointParameters contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Number | "number" - None
-> ParamDouble | "double" - None
-> PatternWithoutDelimiter | "patternWithoutDelimiter" - None
-> Byte | "byte" - None
-> SwaggerPetstoreRequest TestEndpointParameters contentType res accept |

    POST /fake

Fake endpoint for testing various parameters 假端點 偽のエンドポイント 가짜 엔드 포인트

Fake endpoint for testing various parameters 假端點 偽のエンドポイント 가짜 엔드 포인트

AuthMethod: `AuthBasicHttpBasicTest`

Note: Has `Produces` instances, but no response schema

data TestEndpointParameters Source #

Instances

Produces TestEndpointParameters MimeXmlCharsetutf8 Source # |
    application/xml; charset=utf-8
Produces TestEndpointParameters MimeJsonCharsetutf8 Source # |
    application/json; charset=utf-8
Consumes TestEndpointParameters MimeXmlCharsetutf8 Source # |
    application/xml; charset=utf-8
Consumes TestEndpointParameters MimeJsonCharsetutf8 Source # |
    application/json; charset=utf-8
HasOptionalParam TestEndpointParameters Password Source # | Optional Param "password" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Password -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Password -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #
HasOptionalParam TestEndpointParameters ParamString Source # | Optional Param "string" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamString -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamString -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #
HasOptionalParam TestEndpointParameters ParamInteger Source # | Optional Param "integer" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamInteger -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamInteger -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #
HasOptionalParam TestEndpointParameters ParamFloat Source # | Optional Param "float" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamFloat -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamFloat -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #
HasOptionalParam TestEndpointParameters ParamDateTime Source # | Optional Param "dateTime" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamDateTime -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamDateTime -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #
HasOptionalParam TestEndpointParameters ParamDate Source # | Optional Param "date" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamDate -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamDate -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #
HasOptionalParam TestEndpointParameters ParamBinary Source # | Optional Param "binary" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamBinary -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamBinary -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #
HasOptionalParam TestEndpointParameters Int64 Source # | Optional Param "int64" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Int64 -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Int64 -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #
HasOptionalParam TestEndpointParameters Int32 Source # | Optional Param "int32" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Int32 -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Int32 -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #
HasOptionalParam TestEndpointParameters Callback Source # | Optional Param "callback" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Callback -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Callback -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #

### testEnumParameters

testEnumParameters Source #

Arguments

:: Consumes TestEnumParameters contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> SwaggerPetstoreRequest TestEnumParameters contentType res accept |

    GET /fake

To test enum parameters

To test enum parameters

Note: Has `Produces` instances, but no response schema

data TestEnumParameters Source #

Instances

Produces TestEnumParameters MimeAny Source # |
    */*
Consumes TestEnumParameters MimeAny Source # |
    */*
HasOptionalParam TestEnumParameters EnumQueryStringArray Source # | Optional Param "enum_query_string_array" - Query parameter enum test (string array)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryStringArray -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryStringArray -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #
HasOptionalParam TestEnumParameters EnumQueryString Source # | Optional Param "enum_query_string" - Query parameter enum test (string)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryString -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryString -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #
HasOptionalParam TestEnumParameters EnumQueryInteger Source # | Optional Param "enum_query_integer" - Query parameter enum test (double)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryInteger -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryInteger -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #
HasOptionalParam TestEnumParameters EnumQueryDouble Source # | Optional Param "enum_query_double" - Query parameter enum test (double)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryDouble -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryDouble -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #
HasOptionalParam TestEnumParameters EnumHeaderStringArray Source # | Optional Param "enum_header_string_array" - Header parameter enum test (string array)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderStringArray -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderStringArray -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #
HasOptionalParam TestEnumParameters EnumHeaderString Source # | Optional Param "enum_header_string" - Header parameter enum test (string)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderString -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderString -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #
HasOptionalParam TestEnumParameters EnumFormStringArray Source # | Optional Param "enum_form_string_array" - Form parameter enum test (string array)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumFormStringArray -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumFormStringArray -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #
HasOptionalParam TestEnumParameters EnumFormString Source # | Optional Param "enum_form_string" - Form parameter enum test (string)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumFormString -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumFormString -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #

### testInlineAdditionalProperties

testInlineAdditionalProperties Source #

Arguments

:: (Consumes TestInlineAdditionalProperties contentType, MimeRender contentType Value) |
=> ContentType contentType | request content-type (`MimeType`)
-> Value | "param" - request body
-> SwaggerPetstoreRequest TestInlineAdditionalProperties contentType NoContent MimeNoContent |

    POST /fake/inline-additionalProperties

test inline additionalProperties

data TestInlineAdditionalProperties Source #

Instances

Consumes TestInlineAdditionalProperties MimeJSON Source # |
    application/json
HasBodyParam TestInlineAdditionalProperties Value Source # | Body Param "param" - request body
Methods setBodyParam :: (Consumes TestInlineAdditionalProperties contentType, MimeRender contentType Value) => SwaggerPetstoreRequest TestInlineAdditionalProperties contentType res accept -> Value -> SwaggerPetstoreRequest TestInlineAdditionalProperties contentType res accept Source #

### testJsonFormData

testJsonFormData Source #

Arguments

:: Consumes TestJsonFormData contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Param | "param" - field1
-> Param2 | "param2" - field2
-> SwaggerPetstoreRequest TestJsonFormData contentType NoContent MimeNoContent |

    GET /fake/jsonFormData

test json serialization of form data

data TestJsonFormData Source #

Instances

Consumes TestJsonFormData MimeJSON Source # |
    application/json

## FakeClassnameTags123

### testClassname

testClassname Source #

Arguments

:: (Consumes TestClassname contentType, MimeRender contentType Client) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Client | "body" - client model
-> SwaggerPetstoreRequest TestClassname contentType Client accept |

    PATCH /fake_classname_test

To test class name in snake case

AuthMethod: `AuthApiKeyApiKeyQuery`

data TestClassname Source #

Instances

Produces TestClassname MimeJSON Source # |
    application/json
Consumes TestClassname MimeJSON Source # |
    application/json
HasBodyParam TestClassname Client Source # | Body Param "body" - client model
Methods setBodyParam :: (Consumes TestClassname contentType, MimeRender contentType Client) => SwaggerPetstoreRequest TestClassname contentType res accept -> Client -> SwaggerPetstoreRequest TestClassname contentType res accept Source #

## Pet

### addPet

addPet Source #

Arguments

:: (Consumes AddPet contentType, MimeRender contentType Pet) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Pet | "body" - Pet object that needs to be added to the store
-> SwaggerPetstoreRequest AddPet contentType res accept |

    POST /pet

Add a new pet to the store

AuthMethod: `AuthOAuthPetstoreAuth`

Note: Has `Produces` instances, but no response schema

data AddPet Source #

Instances

Produces AddPet MimeXML Source # |
    application/xml
Produces AddPet MimeJSON Source # |
    application/json
Consumes AddPet MimeXML Source # |
    application/xml
Consumes AddPet MimeJSON Source # |
    application/json
HasBodyParam AddPet Pet Source # | Body Param "body" - Pet object that needs to be added to the store
Methods setBodyParam :: (Consumes AddPet contentType, MimeRender contentType Pet) => SwaggerPetstoreRequest AddPet contentType res accept -> Pet -> SwaggerPetstoreRequest AddPet contentType res accept Source #

### deletePet

deletePet Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> PetId | "petId" - Pet id to delete
-> SwaggerPetstoreRequest DeletePet MimeNoContent res accept |

    DELETE /pet/{petId}

Deletes a pet

AuthMethod: `AuthOAuthPetstoreAuth`

Note: Has `Produces` instances, but no response schema

data DeletePet Source #

Instances

Produces DeletePet MimeXML Source # |
    application/xml
Produces DeletePet MimeJSON Source # |
    application/json
HasOptionalParam DeletePet ApiKey Source # |
Methods applyOptionalParam :: SwaggerPetstoreRequest DeletePet contentType res accept -> ApiKey -> SwaggerPetstoreRequest DeletePet contentType res accept Source # (-&-) :: SwaggerPetstoreRequest DeletePet contentType res accept -> ApiKey -> SwaggerPetstoreRequest DeletePet contentType res accept Source #

### findPetsByStatus

findPetsByStatus Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> Status | "status" - Status values that need to be considered for filter
-> SwaggerPetstoreRequest FindPetsByStatus MimeNoContent [Pet] accept |

    GET /pet/findByStatus

Finds Pets by status

Multiple status values can be provided with comma separated strings

AuthMethod: `AuthOAuthPetstoreAuth`

data FindPetsByStatus Source #

Instances

Produces FindPetsByStatus MimeXML Source # |
    application/xml
Produces FindPetsByStatus MimeJSON Source # |
    application/json

### findPetsByTags

findPetsByTags Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> Tags | "tags" - Tags to filter by
-> SwaggerPetstoreRequest FindPetsByTags MimeNoContent [Pet] accept |

Deprecated:

    GET /pet/findByTags

Finds Pets by tags

Multiple tags can be provided with comma separated strings. Use tag1, tag2, tag3 for testing.

AuthMethod: `AuthOAuthPetstoreAuth`

data FindPetsByTags Source #

Instances

Produces FindPetsByTags MimeXML Source # |
    application/xml
Produces FindPetsByTags MimeJSON Source # |
    application/json

### getPetById

getPetById Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> PetId | "petId" - ID of pet to return
-> SwaggerPetstoreRequest GetPetById MimeNoContent Pet accept |

    GET /pet/{petId}

Find pet by ID

Returns a single pet

AuthMethod: `AuthApiKeyApiKey`

data GetPetById Source #

Instances

Produces GetPetById MimeXML Source # |
    application/xml
Produces GetPetById MimeJSON Source # |
    application/json

### updatePet

updatePet Source #

Arguments

:: (Consumes UpdatePet contentType, MimeRender contentType Pet) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Pet | "body" - Pet object that needs to be added to the store
-> SwaggerPetstoreRequest UpdatePet contentType res accept |

    PUT /pet

Update an existing pet

AuthMethod: `AuthOAuthPetstoreAuth`

Note: Has `Produces` instances, but no response schema

data UpdatePet Source #

Instances

Produces UpdatePet MimeXML Source # |
    application/xml
Produces UpdatePet MimeJSON Source # |
    application/json
Consumes UpdatePet MimeXML Source # |
    application/xml
Consumes UpdatePet MimeJSON Source # |
    application/json
HasBodyParam UpdatePet Pet Source # | Body Param "body" - Pet object that needs to be added to the store
Methods setBodyParam :: (Consumes UpdatePet contentType, MimeRender contentType Pet) => SwaggerPetstoreRequest UpdatePet contentType res accept -> Pet -> SwaggerPetstoreRequest UpdatePet contentType res accept Source #

### updatePetWithForm

updatePetWithForm Source #

Arguments

:: Consumes UpdatePetWithForm contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> PetId | "petId" - ID of pet that needs to be updated
-> SwaggerPetstoreRequest UpdatePetWithForm contentType res accept |

    POST /pet/{petId}

Updates a pet in the store with form data

AuthMethod: `AuthOAuthPetstoreAuth`

Note: Has `Produces` instances, but no response schema

data UpdatePetWithForm Source #

Instances

Produces UpdatePetWithForm MimeXML Source # |
    application/xml
Produces UpdatePetWithForm MimeJSON Source # |
    application/json
Consumes UpdatePetWithForm MimeFormUrlEncoded Source # |
    application/x-www-form-urlencoded
HasOptionalParam UpdatePetWithForm StatusText Source # | Optional Param "status" - Updated status of the pet
Methods applyOptionalParam :: SwaggerPetstoreRequest UpdatePetWithForm contentType res accept -> StatusText -> SwaggerPetstoreRequest UpdatePetWithForm contentType res accept Source # (-&-) :: SwaggerPetstoreRequest UpdatePetWithForm contentType res accept -> StatusText -> SwaggerPetstoreRequest UpdatePetWithForm contentType res accept Source #
HasOptionalParam UpdatePetWithForm Name2 Source # | Optional Param "name" - Updated name of the pet
Methods applyOptionalParam :: SwaggerPetstoreRequest UpdatePetWithForm contentType res accept -> Name2 -> SwaggerPetstoreRequest UpdatePetWithForm contentType res accept Source # (-&-) :: SwaggerPetstoreRequest UpdatePetWithForm contentType res accept -> Name2 -> SwaggerPetstoreRequest UpdatePetWithForm contentType res accept Source #

### uploadFile

uploadFile Source #

Arguments

:: Consumes UploadFile contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> PetId | "petId" - ID of pet to update
-> SwaggerPetstoreRequest UploadFile contentType ApiResponse accept |

    POST /pet/{petId}/uploadImage

uploads an image

AuthMethod: `AuthOAuthPetstoreAuth`

data UploadFile Source #

Instances

Produces UploadFile MimeJSON Source # |
    application/json
Consumes UploadFile MimeMultipartFormData Source # |
    multipart/form-data
HasOptionalParam UploadFile File Source # | Optional Param "file" - file to upload
Methods applyOptionalParam :: SwaggerPetstoreRequest UploadFile contentType res accept -> File -> SwaggerPetstoreRequest UploadFile contentType res accept Source # (-&-) :: SwaggerPetstoreRequest UploadFile contentType res accept -> File -> SwaggerPetstoreRequest UploadFile contentType res accept Source #
HasOptionalParam UploadFile AdditionalMetadata Source # | Optional Param "additionalMetadata" - Additional data to pass to server
Methods applyOptionalParam :: SwaggerPetstoreRequest UploadFile contentType res accept -> AdditionalMetadata -> SwaggerPetstoreRequest UploadFile contentType res accept Source # (-&-) :: SwaggerPetstoreRequest UploadFile contentType res accept -> AdditionalMetadata -> SwaggerPetstoreRequest UploadFile contentType res accept Source #

## Store

### deleteOrder

deleteOrder Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> OrderIdText | "orderId" - ID of the order that needs to be deleted
-> SwaggerPetstoreRequest DeleteOrder MimeNoContent res accept |

    DELETE /store/order/{order_id}

Delete purchase order by ID

For valid response try integer IDs with value < 1000. Anything above 1000 or nonintegers will generate API errors

Note: Has `Produces` instances, but no response schema

data DeleteOrder Source #

Instances

Produces DeleteOrder MimeXML Source # |
    application/xml
Produces DeleteOrder MimeJSON Source # |
    application/json

### getInventory

getInventory Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> SwaggerPetstoreRequest GetInventory MimeNoContent (Map String Int) accept |

    GET /store/inventory

Returns pet inventories by status

Returns a map of status codes to quantities

AuthMethod: `AuthApiKeyApiKey`

data GetInventory Source #

Instances

Produces GetInventory MimeJSON Source # |
    application/json

### getOrderById

getOrderById Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> OrderId | "orderId" - ID of pet that needs to be fetched
-> SwaggerPetstoreRequest GetOrderById MimeNoContent Order accept |

    GET /store/order/{order_id}

Find purchase order by ID

For valid response try integer IDs with value 5 or 10. Other values will generated exceptions

data GetOrderById Source #

Instances

Produces GetOrderById MimeXML Source # |
    application/xml
Produces GetOrderById MimeJSON Source # |
    application/json

### placeOrder

placeOrder Source #

Arguments

:: (Consumes PlaceOrder contentType, MimeRender contentType Order) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Order | "body" - order placed for purchasing the pet
-> SwaggerPetstoreRequest PlaceOrder contentType Order accept |

    POST /store/order

Place an order for a pet

data PlaceOrder Source #

Instances

Produces PlaceOrder MimeXML Source # |
    application/xml
Produces PlaceOrder MimeJSON Source # |
    application/json
HasBodyParam PlaceOrder Order Source # | Body Param "body" - order placed for purchasing the pet
Methods setBodyParam :: (Consumes PlaceOrder contentType, MimeRender contentType Order) => SwaggerPetstoreRequest PlaceOrder contentType res accept -> Order -> SwaggerPetstoreRequest PlaceOrder contentType res accept Source #

## User

### createUser

createUser Source #

Arguments

:: (Consumes CreateUser contentType, MimeRender contentType User) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> User | "body" - Created user object
-> SwaggerPetstoreRequest CreateUser contentType res accept |

    POST /user

Create user

This can only be done by the logged in user.

Note: Has `Produces` instances, but no response schema

data CreateUser Source #

Instances

Produces CreateUser MimeXML Source # |
    application/xml
Produces CreateUser MimeJSON Source # |
    application/json
HasBodyParam CreateUser User Source # | Body Param "body" - Created user object
Methods setBodyParam :: (Consumes CreateUser contentType, MimeRender contentType User) => SwaggerPetstoreRequest CreateUser contentType res accept -> User -> SwaggerPetstoreRequest CreateUser contentType res accept Source #

### createUsersWithArrayInput

createUsersWithArrayInput Source #

Arguments

:: (Consumes CreateUsersWithArrayInput contentType, MimeRender contentType Body) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Body | "body" - List of user object
-> SwaggerPetstoreRequest CreateUsersWithArrayInput contentType res accept |

    POST /user/createWithArray

Creates list of users with given input array

Note: Has `Produces` instances, but no response schema

data CreateUsersWithArrayInput Source #

Instances

Produces CreateUsersWithArrayInput MimeXML Source # |
    application/xml
Produces CreateUsersWithArrayInput MimeJSON Source # |
    application/json
HasBodyParam CreateUsersWithArrayInput Body Source # | Body Param "body" - List of user object
Methods setBodyParam :: (Consumes CreateUsersWithArrayInput contentType, MimeRender contentType Body) => SwaggerPetstoreRequest CreateUsersWithArrayInput contentType res accept -> Body -> SwaggerPetstoreRequest CreateUsersWithArrayInput contentType res accept Source #

### createUsersWithListInput

createUsersWithListInput Source #

Arguments

:: (Consumes CreateUsersWithListInput contentType, MimeRender contentType Body) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Body | "body" - List of user object
-> SwaggerPetstoreRequest CreateUsersWithListInput contentType res accept |

    POST /user/createWithList

Creates list of users with given input array

Note: Has `Produces` instances, but no response schema

data CreateUsersWithListInput Source #

Instances

Produces CreateUsersWithListInput MimeXML Source # |
    application/xml
Produces CreateUsersWithListInput MimeJSON Source # |
    application/json
HasBodyParam CreateUsersWithListInput Body Source # | Body Param "body" - List of user object
Methods setBodyParam :: (Consumes CreateUsersWithListInput contentType, MimeRender contentType Body) => SwaggerPetstoreRequest CreateUsersWithListInput contentType res accept -> Body -> SwaggerPetstoreRequest CreateUsersWithListInput contentType res accept Source #

### deleteUser

deleteUser Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> Username | "username" - The name that needs to be deleted
-> SwaggerPetstoreRequest DeleteUser MimeNoContent res accept |

    DELETE /user/{username}

Delete user

This can only be done by the logged in user.

Note: Has `Produces` instances, but no response schema

data DeleteUser Source #

Instances

Produces DeleteUser MimeXML Source # |
    application/xml
Produces DeleteUser MimeJSON Source # |
    application/json

### getUserByName

getUserByName Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> Username | "username" - The name that needs to be fetched. Use user1 for testing.
-> SwaggerPetstoreRequest GetUserByName MimeNoContent User accept |

    GET /user/{username}

Get user by user name

data GetUserByName Source #

Instances

Produces GetUserByName MimeXML Source # |
    application/xml
Produces GetUserByName MimeJSON Source # |
    application/json

### loginUser

loginUser Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> Username | "username" - The user name for login
-> Password | "password" - The password for login in clear text
-> SwaggerPetstoreRequest LoginUser MimeNoContent Text accept |

    GET /user/login

Logs user into the system

data LoginUser Source #

Instances

Produces LoginUser MimeXML Source # |
    application/xml
Produces LoginUser MimeJSON Source # |
    application/json

### logoutUser

logoutUser Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> SwaggerPetstoreRequest LogoutUser MimeNoContent res accept |

    GET /user/logout

Logs out current logged in user session

Note: Has `Produces` instances, but no response schema

data LogoutUser Source #

Instances

Produces LogoutUser MimeXML Source # |
    application/xml
Produces LogoutUser MimeJSON Source # |
    application/json

### updateUser

updateUser Source #

Arguments

:: (Consumes UpdateUser contentType, MimeRender contentType User) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Username | "username" - name that need to be deleted
-> User | "body" - Updated user object
-> SwaggerPetstoreRequest UpdateUser contentType res accept |

    PUT /user/{username}

Updated user

This can only be done by the logged in user.

Note: Has `Produces` instances, but no response schema

data UpdateUser Source #

Instances

Produces UpdateUser MimeXML Source # |
    application/xml
Produces UpdateUser MimeJSON Source # |
    application/json
HasBodyParam UpdateUser User Source # | Body Param "body" - Updated user object
Methods setBodyParam :: (Consumes UpdateUser contentType, MimeRender contentType User) => SwaggerPetstoreRequest UpdateUser contentType res accept -> User -> SwaggerPetstoreRequest UpdateUser contentType res accept Source #

# Parameter newtypes

newtype AdditionalMetadata Source #

Constructors

AdditionalMetadata |
Fields unAdditionalMetadata :: Text

Instances

Eq AdditionalMetadata Source # |
Methods (==) :: AdditionalMetadata -> AdditionalMetadata -> Bool # (/=) :: AdditionalMetadata -> AdditionalMetadata -> Bool #
Show AdditionalMetadata Source # |
Methods showsPrec :: Int -> AdditionalMetadata -> ShowS # show :: AdditionalMetadata -> String # showList :: [AdditionalMetadata] -> ShowS #
HasOptionalParam UploadFile AdditionalMetadata Source # | Optional Param "additionalMetadata" - Additional data to pass to server
Methods applyOptionalParam :: SwaggerPetstoreRequest UploadFile contentType res accept -> AdditionalMetadata -> SwaggerPetstoreRequest UploadFile contentType res accept Source # (-&-) :: SwaggerPetstoreRequest UploadFile contentType res accept -> AdditionalMetadata -> SwaggerPetstoreRequest UploadFile contentType res accept Source #

newtype ApiKey Source #

Constructors

ApiKey |
Fields unApiKey :: Text

Instances

Eq ApiKey Source # |
Methods (==) :: ApiKey -> ApiKey -> Bool # (/=) :: ApiKey -> ApiKey -> Bool #
Show ApiKey Source # |
Methods showsPrec :: Int -> ApiKey -> ShowS # show :: ApiKey -> String # showList :: [ApiKey] -> ShowS #
HasOptionalParam DeletePet ApiKey Source # |
Methods applyOptionalParam :: SwaggerPetstoreRequest DeletePet contentType res accept -> ApiKey -> SwaggerPetstoreRequest DeletePet contentType res accept Source # (-&-) :: SwaggerPetstoreRequest DeletePet contentType res accept -> ApiKey -> SwaggerPetstoreRequest DeletePet contentType res accept Source #

newtype Body Source #

Constructors

Body |
Fields unBody :: [User]

Instances

Eq Body Source # |
Methods (==) :: Body -> Body -> Bool # (/=) :: Body -> Body -> Bool #
Show Body Source # |
Methods showsPrec :: Int -> Body -> ShowS # show :: Body -> String # showList :: [Body] -> ShowS #
ToJSON Body Source # |
Methods toJSON :: Body -> Value # toEncoding :: Body -> Encoding # toJSONList :: [Body] -> Value # toEncodingList :: [Body] -> Encoding #
HasBodyParam CreateUsersWithListInput Body Source # | Body Param "body" - List of user object
Methods setBodyParam :: (Consumes CreateUsersWithListInput contentType, MimeRender contentType Body) => SwaggerPetstoreRequest CreateUsersWithListInput contentType res accept -> Body -> SwaggerPetstoreRequest CreateUsersWithListInput contentType res accept Source #
HasBodyParam CreateUsersWithArrayInput Body Source # | Body Param "body" - List of user object
Methods setBodyParam :: (Consumes CreateUsersWithArrayInput contentType, MimeRender contentType Body) => SwaggerPetstoreRequest CreateUsersWithArrayInput contentType res accept -> Body -> SwaggerPetstoreRequest CreateUsersWithArrayInput contentType res accept Source #

newtype Byte Source #

Constructors

Byte |
Fields unByte :: ByteArray

Instances

Eq Byte Source # |
Methods (==) :: Byte -> Byte -> Bool # (/=) :: Byte -> Byte -> Bool #
Show Byte Source # |
Methods showsPrec :: Int -> Byte -> ShowS # show :: Byte -> String # showList :: [Byte] -> ShowS #

newtype Callback Source #

Constructors

Callback |
Fields unCallback :: Text

Instances

Eq Callback Source # |
Methods (==) :: Callback -> Callback -> Bool # (/=) :: Callback -> Callback -> Bool #
Show Callback Source # |
Methods showsPrec :: Int -> Callback -> ShowS # show :: Callback -> String # showList :: [Callback] -> ShowS #
HasOptionalParam TestEndpointParameters Callback Source # | Optional Param "callback" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Callback -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Callback -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #

newtype EnumFormString Source #

Constructors

EnumFormString |
Fields unEnumFormString :: E'EnumFormString

Instances

Eq EnumFormString Source # |
Methods (==) :: EnumFormString -> EnumFormString -> Bool # (/=) :: EnumFormString -> EnumFormString -> Bool #
Show EnumFormString Source # |
Methods showsPrec :: Int -> EnumFormString -> ShowS # show :: EnumFormString -> String # showList :: [EnumFormString] -> ShowS #
HasOptionalParam TestEnumParameters EnumFormString Source # | Optional Param "enum_form_string" - Form parameter enum test (string)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumFormString -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumFormString -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #

newtype EnumFormStringArray Source #

Constructors

EnumFormStringArray |
Fields unEnumFormStringArray :: [E'Inner2]

Instances

Eq EnumFormStringArray Source # |
Methods (==) :: EnumFormStringArray -> EnumFormStringArray -> Bool # (/=) :: EnumFormStringArray -> EnumFormStringArray -> Bool #
Show EnumFormStringArray Source # |
Methods showsPrec :: Int -> EnumFormStringArray -> ShowS # show :: EnumFormStringArray -> String # showList :: [EnumFormStringArray] -> ShowS #
HasOptionalParam TestEnumParameters EnumFormStringArray Source # | Optional Param "enum_form_string_array" - Form parameter enum test (string array)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumFormStringArray -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumFormStringArray -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #

newtype EnumHeaderString Source #

Constructors

EnumHeaderString |
Fields unEnumHeaderString :: E'EnumFormString

Instances

Eq EnumHeaderString Source # |
Methods (==) :: EnumHeaderString -> EnumHeaderString -> Bool # (/=) :: EnumHeaderString -> EnumHeaderString -> Bool #
Show EnumHeaderString Source # |
Methods showsPrec :: Int -> EnumHeaderString -> ShowS # show :: EnumHeaderString -> String # showList :: [EnumHeaderString] -> ShowS #
HasOptionalParam TestEnumParameters EnumHeaderString Source # | Optional Param "enum_header_string" - Header parameter enum test (string)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderString -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderString -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #

newtype EnumHeaderStringArray Source #

Constructors

EnumHeaderStringArray |
Fields unEnumHeaderStringArray :: [E'Inner2]

Instances

Eq EnumHeaderStringArray Source # |
Methods (==) :: EnumHeaderStringArray -> EnumHeaderStringArray -> Bool # (/=) :: EnumHeaderStringArray -> EnumHeaderStringArray -> Bool #
Show EnumHeaderStringArray Source # |
Methods showsPrec :: Int -> EnumHeaderStringArray -> ShowS # show :: EnumHeaderStringArray -> String # showList :: [EnumHeaderStringArray] -> ShowS #
HasOptionalParam TestEnumParameters EnumHeaderStringArray Source # | Optional Param "enum_header_string_array" - Header parameter enum test (string array)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderStringArray -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderStringArray -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #

newtype EnumQueryDouble Source #

Constructors

EnumQueryDouble |
Fields unEnumQueryDouble :: E'EnumNumber

Instances

Eq EnumQueryDouble Source # |
Methods (==) :: EnumQueryDouble -> EnumQueryDouble -> Bool # (/=) :: EnumQueryDouble -> EnumQueryDouble -> Bool #
Show EnumQueryDouble Source # |
Methods showsPrec :: Int -> EnumQueryDouble -> ShowS # show :: EnumQueryDouble -> String # showList :: [EnumQueryDouble] -> ShowS #
HasOptionalParam TestEnumParameters EnumQueryDouble Source # | Optional Param "enum_query_double" - Query parameter enum test (double)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryDouble -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryDouble -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #

newtype EnumQueryInteger Source #

Constructors

EnumQueryInteger |
Fields unEnumQueryInteger :: E'EnumQueryInteger

Instances

Eq EnumQueryInteger Source # |
Methods (==) :: EnumQueryInteger -> EnumQueryInteger -> Bool # (/=) :: EnumQueryInteger -> EnumQueryInteger -> Bool #
Show EnumQueryInteger Source # |
Methods showsPrec :: Int -> EnumQueryInteger -> ShowS # show :: EnumQueryInteger -> String # showList :: [EnumQueryInteger] -> ShowS #
HasOptionalParam TestEnumParameters EnumQueryInteger Source # | Optional Param "enum_query_integer" - Query parameter enum test (double)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryInteger -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryInteger -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #

newtype EnumQueryString Source #

Constructors

EnumQueryString |
Fields unEnumQueryString :: E'EnumFormString

Instances

Eq EnumQueryString Source # |
Methods (==) :: EnumQueryString -> EnumQueryString -> Bool # (/=) :: EnumQueryString -> EnumQueryString -> Bool #
Show EnumQueryString Source # |
Methods showsPrec :: Int -> EnumQueryString -> ShowS # show :: EnumQueryString -> String # showList :: [EnumQueryString] -> ShowS #
HasOptionalParam TestEnumParameters EnumQueryString Source # | Optional Param "enum_query_string" - Query parameter enum test (string)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryString -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryString -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #

newtype EnumQueryStringArray Source #

Constructors

EnumQueryStringArray |
Fields unEnumQueryStringArray :: [E'Inner2]

Instances

Eq EnumQueryStringArray Source # |
Methods (==) :: EnumQueryStringArray -> EnumQueryStringArray -> Bool # (/=) :: EnumQueryStringArray -> EnumQueryStringArray -> Bool #
Show EnumQueryStringArray Source # |
Methods showsPrec :: Int -> EnumQueryStringArray -> ShowS # show :: EnumQueryStringArray -> String # showList :: [EnumQueryStringArray] -> ShowS #
HasOptionalParam TestEnumParameters EnumQueryStringArray Source # | Optional Param "enum_query_string_array" - Query parameter enum test (string array)
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryStringArray -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryStringArray -> SwaggerPetstoreRequest TestEnumParameters contentType res accept Source #

newtype File Source #

Constructors

File |
Fields unFile :: FilePath

Instances

Eq File Source # |
Methods (==) :: File -> File -> Bool # (/=) :: File -> File -> Bool #
Show File Source # |
Methods showsPrec :: Int -> File -> ShowS # show :: File -> String # showList :: [File] -> ShowS #
HasOptionalParam UploadFile File Source # | Optional Param "file" - file to upload
Methods applyOptionalParam :: SwaggerPetstoreRequest UploadFile contentType res accept -> File -> SwaggerPetstoreRequest UploadFile contentType res accept Source # (-&-) :: SwaggerPetstoreRequest UploadFile contentType res accept -> File -> SwaggerPetstoreRequest UploadFile contentType res accept Source #

newtype Int32 Source #

Constructors

Int32 |
Fields unInt32 :: Int

Instances

Eq Int32 Source # |
Methods (==) :: Int32 -> Int32 -> Bool # (/=) :: Int32 -> Int32 -> Bool #
Show Int32 Source # |
Methods showsPrec :: Int -> Int32 -> ShowS # show :: Int32 -> String # showList :: [Int32] -> ShowS #
HasOptionalParam TestEndpointParameters Int32 Source # | Optional Param "int32" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Int32 -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Int32 -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #

newtype Int64 Source #

Constructors

Int64 |
Fields unInt64 :: Integer

Instances

Eq Int64 Source # |
Methods (==) :: Int64 -> Int64 -> Bool # (/=) :: Int64 -> Int64 -> Bool #
Show Int64 Source # |
Methods showsPrec :: Int -> Int64 -> ShowS # show :: Int64 -> String # showList :: [Int64] -> ShowS #
HasOptionalParam TestEndpointParameters Int64 Source # | Optional Param "int64" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Int64 -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Int64 -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #

newtype Name2 Source #

Constructors

Name2 |
Fields unName2 :: Text

Instances

Eq Name2 Source # |
Methods (==) :: Name2 -> Name2 -> Bool # (/=) :: Name2 -> Name2 -> Bool #
Show Name2 Source # |
Methods showsPrec :: Int -> Name2 -> ShowS # show :: Name2 -> String # showList :: [Name2] -> ShowS #
HasOptionalParam UpdatePetWithForm Name2 Source # | Optional Param "name" - Updated name of the pet
Methods applyOptionalParam :: SwaggerPetstoreRequest UpdatePetWithForm contentType res accept -> Name2 -> SwaggerPetstoreRequest UpdatePetWithForm contentType res accept Source # (-&-) :: SwaggerPetstoreRequest UpdatePetWithForm contentType res accept -> Name2 -> SwaggerPetstoreRequest UpdatePetWithForm contentType res accept Source #

newtype Number Source #

Constructors

Number |
Fields unNumber :: Double

Instances

Eq Number Source # |
Methods (==) :: Number -> Number -> Bool # (/=) :: Number -> Number -> Bool #
Show Number Source # |
Methods showsPrec :: Int -> Number -> ShowS # show :: Number -> String # showList :: [Number] -> ShowS #

newtype OrderId Source #

Constructors

OrderId |
Fields unOrderId :: Integer

Instances

Eq OrderId Source # |
Methods (==) :: OrderId -> OrderId -> Bool # (/=) :: OrderId -> OrderId -> Bool #
Show OrderId Source # |
Methods showsPrec :: Int -> OrderId -> ShowS # show :: OrderId -> String # showList :: [OrderId] -> ShowS #

newtype OrderIdText Source #

Constructors

OrderIdText |
Fields unOrderIdText :: Text

Instances

Eq OrderIdText Source # |
Methods (==) :: OrderIdText -> OrderIdText -> Bool # (/=) :: OrderIdText -> OrderIdText -> Bool #
Show OrderIdText Source # |
Methods showsPrec :: Int -> OrderIdText -> ShowS # show :: OrderIdText -> String # showList :: [OrderIdText] -> ShowS #

newtype Param Source #

Constructors

Param |
Fields unParam :: Text

Instances

Eq Param Source # |
Methods (==) :: Param -> Param -> Bool # (/=) :: Param -> Param -> Bool #
Show Param Source # |
Methods showsPrec :: Int -> Param -> ShowS # show :: Param -> String # showList :: [Param] -> ShowS #

newtype Param2 Source #

Constructors

Param2 |
Fields unParam2 :: Text

Instances

Eq Param2 Source # |
Methods (==) :: Param2 -> Param2 -> Bool # (/=) :: Param2 -> Param2 -> Bool #
Show Param2 Source # |
Methods showsPrec :: Int -> Param2 -> ShowS # show :: Param2 -> String # showList :: [Param2] -> ShowS #

newtype ParamBinary Source #

Constructors

ParamBinary |
Fields unParamBinary :: Binary

Instances

Eq ParamBinary Source # |
Methods (==) :: ParamBinary -> ParamBinary -> Bool # (/=) :: ParamBinary -> ParamBinary -> Bool #
Show ParamBinary Source # |
Methods showsPrec :: Int -> ParamBinary -> ShowS # show :: ParamBinary -> String # showList :: [ParamBinary] -> ShowS #
HasOptionalParam TestEndpointParameters ParamBinary Source # | Optional Param "binary" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamBinary -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamBinary -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #

newtype ParamDate Source #

Constructors

ParamDate |
Fields unParamDate :: Date

Instances

Eq ParamDate Source # |
Methods (==) :: ParamDate -> ParamDate -> Bool # (/=) :: ParamDate -> ParamDate -> Bool #
Show ParamDate Source # |
Methods showsPrec :: Int -> ParamDate -> ShowS # show :: ParamDate -> String # showList :: [ParamDate] -> ShowS #
HasOptionalParam TestEndpointParameters ParamDate Source # | Optional Param "date" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamDate -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamDate -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #

newtype ParamDateTime Source #

Constructors

ParamDateTime |
Fields unParamDateTime :: DateTime

Instances

Eq ParamDateTime Source # |
Methods (==) :: ParamDateTime -> ParamDateTime -> Bool # (/=) :: ParamDateTime -> ParamDateTime -> Bool #
Show ParamDateTime Source # |
Methods showsPrec :: Int -> ParamDateTime -> ShowS # show :: ParamDateTime -> String # showList :: [ParamDateTime] -> ShowS #
HasOptionalParam TestEndpointParameters ParamDateTime Source # | Optional Param "dateTime" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamDateTime -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamDateTime -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #

newtype ParamDouble Source #

Constructors

ParamDouble |
Fields unParamDouble :: Double

Instances

Eq ParamDouble Source # |
Methods (==) :: ParamDouble -> ParamDouble -> Bool # (/=) :: ParamDouble -> ParamDouble -> Bool #
Show ParamDouble Source # |
Methods showsPrec :: Int -> ParamDouble -> ShowS # show :: ParamDouble -> String # showList :: [ParamDouble] -> ShowS #

newtype ParamFloat Source #

Constructors

ParamFloat |
Fields unParamFloat :: Float

Instances

Eq ParamFloat Source # |
Methods (==) :: ParamFloat -> ParamFloat -> Bool # (/=) :: ParamFloat -> ParamFloat -> Bool #
Show ParamFloat Source # |
Methods showsPrec :: Int -> ParamFloat -> ShowS # show :: ParamFloat -> String # showList :: [ParamFloat] -> ShowS #
HasOptionalParam TestEndpointParameters ParamFloat Source # | Optional Param "float" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamFloat -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamFloat -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #

newtype ParamInteger Source #

Constructors

ParamInteger |
Fields unParamInteger :: Int

Instances

Eq ParamInteger Source # |
Methods (==) :: ParamInteger -> ParamInteger -> Bool # (/=) :: ParamInteger -> ParamInteger -> Bool #
Show ParamInteger Source # |
Methods showsPrec :: Int -> ParamInteger -> ShowS # show :: ParamInteger -> String # showList :: [ParamInteger] -> ShowS #
HasOptionalParam TestEndpointParameters ParamInteger Source # | Optional Param "integer" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamInteger -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamInteger -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #

newtype ParamString Source #

Constructors

ParamString |
Fields unParamString :: Text

Instances

Eq ParamString Source # |
Methods (==) :: ParamString -> ParamString -> Bool # (/=) :: ParamString -> ParamString -> Bool #
Show ParamString Source # |
Methods showsPrec :: Int -> ParamString -> ShowS # show :: ParamString -> String # showList :: [ParamString] -> ShowS #
HasOptionalParam TestEndpointParameters ParamString Source # | Optional Param "string" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamString -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> ParamString -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #

newtype Password Source #

Constructors

Password |
Fields unPassword :: Text

Instances

Eq Password Source # |
Methods (==) :: Password -> Password -> Bool # (/=) :: Password -> Password -> Bool #
Show Password Source # |
Methods showsPrec :: Int -> Password -> ShowS # show :: Password -> String # showList :: [Password] -> ShowS #
HasOptionalParam TestEndpointParameters Password Source # | Optional Param "password" - None
Methods applyOptionalParam :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Password -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: SwaggerPetstoreRequest TestEndpointParameters contentType res accept -> Password -> SwaggerPetstoreRequest TestEndpointParameters contentType res accept Source #

newtype PatternWithoutDelimiter Source #

Constructors

PatternWithoutDelimiter |
Fields unPatternWithoutDelimiter :: Text

Instances

Eq PatternWithoutDelimiter Source # |
Methods (==) :: PatternWithoutDelimiter -> PatternWithoutDelimiter -> Bool # (/=) :: PatternWithoutDelimiter -> PatternWithoutDelimiter -> Bool #
Show PatternWithoutDelimiter Source # |
Methods showsPrec :: Int -> PatternWithoutDelimiter -> ShowS # show :: PatternWithoutDelimiter -> String # showList :: [PatternWithoutDelimiter] -> ShowS #

newtype PetId Source #

Constructors

PetId |
Fields unPetId :: Integer

Instances

Eq PetId Source # |
Methods (==) :: PetId -> PetId -> Bool # (/=) :: PetId -> PetId -> Bool #
Show PetId Source # |
Methods showsPrec :: Int -> PetId -> ShowS # show :: PetId -> String # showList :: [PetId] -> ShowS #

newtype Status Source #

Constructors

Status |
Fields unStatus :: [E'Status2]

Instances

Eq Status Source # |
Methods (==) :: Status -> Status -> Bool # (/=) :: Status -> Status -> Bool #
Show Status Source # |
Methods showsPrec :: Int -> Status -> ShowS # show :: Status -> String # showList :: [Status] -> ShowS #

newtype StatusText Source #

Constructors

StatusText |
Fields unStatusText :: Text

Instances

Eq StatusText Source # |
Methods (==) :: StatusText -> StatusText -> Bool # (/=) :: StatusText -> StatusText -> Bool #
Show StatusText Source # |
Methods showsPrec :: Int -> StatusText -> ShowS # show :: StatusText -> String # showList :: [StatusText] -> ShowS #
HasOptionalParam UpdatePetWithForm StatusText Source # | Optional Param "status" - Updated status of the pet
Methods applyOptionalParam :: SwaggerPetstoreRequest UpdatePetWithForm contentType res accept -> StatusText -> SwaggerPetstoreRequest UpdatePetWithForm contentType res accept Source # (-&-) :: SwaggerPetstoreRequest UpdatePetWithForm contentType res accept -> StatusText -> SwaggerPetstoreRequest UpdatePetWithForm contentType res accept Source #

newtype Tags Source #

Constructors

Tags |
Fields unTags :: [Text]

Instances

Eq Tags Source # |
Methods (==) :: Tags -> Tags -> Bool # (/=) :: Tags -> Tags -> Bool #
Show Tags Source # |
Methods showsPrec :: Int -> Tags -> ShowS # show :: Tags -> String # showList :: [Tags] -> ShowS #

newtype Username Source #

Constructors

Username |
Fields unUsername :: Text

Instances

Eq Username Source # |
Methods (==) :: Username -> Username -> Bool # (/=) :: Username -> Username -> Bool #
Show Username Source # |
Methods showsPrec :: Int -> Username -> ShowS # show :: Username -> String # showList :: [Username] -> ShowS #

# Auth Methods

## AuthApiKeyApiKey

data AuthApiKeyApiKey Source #

Constructors

AuthApiKeyApiKey Text | secret

Instances

Eq AuthApiKeyApiKey Source # |
Methods (==) :: AuthApiKeyApiKey -> AuthApiKeyApiKey -> Bool # (/=) :: AuthApiKeyApiKey -> AuthApiKeyApiKey -> Bool #
Show AuthApiKeyApiKey Source # |
Methods showsPrec :: Int -> AuthApiKeyApiKey -> ShowS # show :: AuthApiKeyApiKey -> String # showList :: [AuthApiKeyApiKey] -> ShowS #
AuthMethod AuthApiKeyApiKey Source # |
Methods applyAuthMethod :: SwaggerPetstoreConfig -> AuthApiKeyApiKey -> SwaggerPetstoreRequest req contentType res accept -> IO (SwaggerPetstoreRequest req contentType res accept) Source #

## AuthApiKeyApiKeyQuery

data AuthApiKeyApiKeyQuery Source #

Constructors

AuthApiKeyApiKeyQuery Text | secret

Instances

Eq AuthApiKeyApiKeyQuery Source # |
Methods (==) :: AuthApiKeyApiKeyQuery -> AuthApiKeyApiKeyQuery -> Bool # (/=) :: AuthApiKeyApiKeyQuery -> AuthApiKeyApiKeyQuery -> Bool #
Show AuthApiKeyApiKeyQuery Source # |
Methods showsPrec :: Int -> AuthApiKeyApiKeyQuery -> ShowS # show :: AuthApiKeyApiKeyQuery -> String # showList :: [AuthApiKeyApiKeyQuery] -> ShowS #
AuthMethod AuthApiKeyApiKeyQuery Source # |
Methods applyAuthMethod :: SwaggerPetstoreConfig -> AuthApiKeyApiKeyQuery -> SwaggerPetstoreRequest req contentType res accept -> IO (SwaggerPetstoreRequest req contentType res accept) Source #

## AuthBasicHttpBasicTest

data AuthBasicHttpBasicTest Source #

Constructors

AuthBasicHttpBasicTest ByteString ByteString | username password

Instances

Eq AuthBasicHttpBasicTest Source # |
Methods (==) :: AuthBasicHttpBasicTest -> AuthBasicHttpBasicTest -> Bool # (/=) :: AuthBasicHttpBasicTest -> AuthBasicHttpBasicTest -> Bool #
Show AuthBasicHttpBasicTest Source # |
Methods showsPrec :: Int -> AuthBasicHttpBasicTest -> ShowS # show :: AuthBasicHttpBasicTest -> String # showList :: [AuthBasicHttpBasicTest] -> ShowS #
AuthMethod AuthBasicHttpBasicTest Source # |
Methods applyAuthMethod :: SwaggerPetstoreConfig -> AuthBasicHttpBasicTest -> SwaggerPetstoreRequest req contentType res accept -> IO (SwaggerPetstoreRequest req contentType res accept) Source #

## AuthOAuthPetstoreAuth

data AuthOAuthPetstoreAuth Source #

Constructors

AuthOAuthPetstoreAuth Text | secret

Instances

Eq AuthOAuthPetstoreAuth Source # |
Methods (==) :: AuthOAuthPetstoreAuth -> AuthOAuthPetstoreAuth -> Bool # (/=) :: AuthOAuthPetstoreAuth -> AuthOAuthPetstoreAuth -> Bool #
Show AuthOAuthPetstoreAuth Source # |
Methods showsPrec :: Int -> AuthOAuthPetstoreAuth -> ShowS # show :: AuthOAuthPetstoreAuth -> String # showList :: [AuthOAuthPetstoreAuth] -> ShowS #
AuthMethod AuthOAuthPetstoreAuth Source # |
Methods applyAuthMethod :: SwaggerPetstoreConfig -> AuthOAuthPetstoreAuth -> SwaggerPetstoreRequest req contentType res accept -> IO (SwaggerPetstoreRequest req contentType res accept) Source #

# Custom Mime Types

## MimeJsonCharsetutf8

data MimeJsonCharsetutf8 Source #

Constructors

MimeJsonCharsetutf8 |

Instances

MimeType MimeJsonCharsetutf8 Source # |
    application/json; charset=utf-8
Methods mimeTypes :: Proxy * MimeJsonCharsetutf8 -> [MediaType] Source # mimeType :: Proxy * MimeJsonCharsetutf8 -> Maybe MediaType Source # mimeType' :: MimeJsonCharsetutf8 -> Maybe MediaType Source # mimeTypes' :: MimeJsonCharsetutf8 -> [MediaType] Source #
FromJSON a => MimeUnrender MimeJsonCharsetutf8 a Source # |
Methods mimeUnrender :: Proxy * MimeJsonCharsetutf8 -> ByteString -> Either String a Source # mimeUnrender' :: MimeJsonCharsetutf8 -> ByteString -> Either String a Source #
ToJSON a => MimeRender MimeJsonCharsetutf8 a Source # |
Methods mimeRender :: Proxy * MimeJsonCharsetutf8 -> a -> ByteString Source # mimeRender' :: MimeJsonCharsetutf8 -> a -> ByteString Source #
Produces TestEndpointParameters MimeJsonCharsetutf8 Source # |
    application/json; charset=utf-8
Consumes TestEndpointParameters MimeJsonCharsetutf8 Source # |
    application/json; charset=utf-8

## MimeXmlCharsetutf8

data MimeXmlCharsetutf8 Source #

Constructors

MimeXmlCharsetutf8 |

Instances

MimeType MimeXmlCharsetutf8 Source # |
    application/xml; charset=utf-8
Methods mimeTypes :: Proxy * MimeXmlCharsetutf8 -> [MediaType] Source # mimeType :: Proxy * MimeXmlCharsetutf8 -> Maybe MediaType Source # mimeType' :: MimeXmlCharsetutf8 -> Maybe MediaType Source # mimeTypes' :: MimeXmlCharsetutf8 -> [MediaType] Source #
Produces TestEndpointParameters MimeXmlCharsetutf8 Source # |
    application/xml; charset=utf-8
Consumes TestEndpointParameters MimeXmlCharsetutf8 Source # |
    application/xml; charset=utf-8